M9K Weapon Issue [LUA Error when fired]

I have added M9K Weapons to my DarkRP server. I have ensured all files are on but when I shoot the weapons I get this error:


ERROR] addons/m9k assault rifles/lua/weapons/bobs_gun_base/shared.lua:206: attempt to call method 'CanPrimaryAttack' (a nil value)
  1. unknown - addons/m9k assault rifles/lua/weapons/bobs_gun_base/shared.lua:206

Try fixing the error, then tell us what’s wrong

I have no idea how to fix the error lad

That was just some kid trying to instigate, you can ignore it. As for your error I’m not sure; you might be better off contacting the author from wherever you downloaded the addon from

Okay, thanks pal

M9K is not made for DarkRP. Its a good weapon mod but buggy af on darkrp. better read the desc next time.

I think there’s a M9K pack made for DarkRP tho.

Sorted it now lads. It was the Sit Anywhere addon conflicting with DarkRP! and Xaotic lad, M9K does work with DarkRP, had no errors and this one was an addon conflicting ^.^ Thanks for everyone helping!